:root {
    --cor-texto-1: #FFFFFF;
    --cor-texto-2: #C0C0C0;
    --cor-botao-1: #167BF7;
    --cor-fundo-1: #00030C; 
    --fonte-1: 'Inter';   
    --botao-azul-efeito: #3c92fa;
}

body {
    background-color: var(--cor-fundo-1);
    color: var(--cor-texto-1);
    font-family: var(--fonte-1);
    font-size: 16;
    font-weight: 400;
}

*{
    margin: 0;
    padding: 0;
}

.principal {
    background-image: url("img/background.png");
    background-repeat: no-repeat;
    background-size: contain;
    align-items: center;
    text-align: center;
}

.container {
   height: 100vh; 
   display: grid;
   grid-template-columns: 50% 50%;
}

.container__botao {
    background-color: var(--cor-botao-1);
    border-radius: 5px;
    padding: 1em;
    color: var(--cor-texto-1);
    display: block;
    text-decoration: none;
    margin-bottom: 1em;
}

.botao_2 {
    background-color: transparent;
    border-radius: 5px;
    border: 2px solid var(--cor-texto-1);
}

.container__aviso {
    font-size: 12px;
    font-weight: 400;
    color: var(--cor-texto-2);
}

.container__titulo {
    font-size: 28px;
    font-weight: 700;
}

.container__imagem {
    margin: 16px 0 2em 0;
}

.container__caixa {
    margin: 0 6em;
}

.container__imagem {
    width: 80%;
}

.secundario {
    align-items: center;
    margin: 0 10em;
}

.descricao__titulo {
    font-weight: 700;
    font-size: 48px;
    color: var(--cor-texto-1);
    margin-bottom: 0.1em;
}

.descricao__texto {
    color: var(--cor-texto-2);
}

.secundario__botao {
    display: inline-block;
    margin-top: 1em;
}

.container__descricao {
    padding: 2em;
}

.dispositivos__lista {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 5em 0;
}

.dispositivos {    
    text-align: center;
}

.dispositivos__titulo {
    font-size: 48px;
    color: var(--cor-texto-1);
}

.lista__item {
    font-size: 32px;
    color: var(--cor-texto-1);
}

.rodape {
    text-align: center;
    margin: 5em 3em;
}

.rodape__lista {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin-top: 1em;
}

.lista__link a {
    margin-left: 1em;
    text-decoration: none;
    color: var(--cor-texto-1);
}

.lista__link a:hover {
    color: var(--cor-botao-1);
}

.rodape__texto {
    color: var(--cor-texto-2);
    font-size: 14px;
    margin: 1em 0;
}

.rodape__texto {
    margin: 1em 0;
    color: var(--cor-texto-2);
    font-size: 14px;
}

.rodape__logo {
    margin-bottom: 2em;
}

.container__botao:hover {
    background-color: var(--botao-azul-efeito);
    color: var(--cor-fundo-1);
}

@media screen and (max-width: 768px) {
    .container {
        display: block;
        background-image: none;
        height: 100vw;
    }
    
    .container__imagem {
        width: 50vw;
    }

    .container__caixa {
        margin: 2em 2em;
    }

    .secundario {
        margin: 0;
        text-align: center;
    }

    .secundario__imagem {
        width: 50vw;
    }

    .dispositivos__lista {
        display: block;
    }

    .rodape__lista {
        display: block;
    }

    .descricao__titulo {
        font-size: 40px;
    }

    .dispositivos__titulo {
        font-size: 40px;
    }
}